% Ukzka pouit Kalmanova filtru pro odhadovn parametr AR(2) modelu

clear

y = csvread('data_AR(2).csv');
n = length(y);
sigma2_e = 10;

figure
plot(1 : n, y, 'k')
xlabel('t')
ylabel('y_t')

sys.Phi = eye(2);
sys.Q = zeros(2);
sys.R = sigma2_e;
est.x = [1; 1];
est.P = [1 0; 0 1];

for t = 3 : n
    sys.H = [y(t-1) y(t-2)];
    est = kf(sys, est, y(t));
end

phi_1 = est.x(1)
phi_2 = est.x(2)

